Skip to content

Refunds an ACH transaction

Request

POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/refund

This endpoint refunds an ACH (automated clearing house) transaction payment that has already been settled.

It sends money back to the original payer after the ACH payment has completed.

See Also:
To create an ACH debit payment, see POST /pay-api/v1/transactions/ach/payment.
To create an ACH credit payment, see POST /pay-api/v1/transactions/ach/payment/credit.
To hold an ACH transaction, see POST /pay-api/v1/transactions/ach/{transactionId}/hold.
To release a held ACH transaction, see POST /pay-api/v1/transactions/ach/{transactionId}/unhold.
To void an ACH transaction, see POST /pay-api/v1/transactions/ach/{transactionId}/void.

Security
Bearer
Path
transactionIdstring, (uuid)required

Specifies the ACH (automated clearing house) transaction identifier.

This value is returned as transactionId from either of the following endpoints:

  • POST /pay-api/v1/transactions/ach/payment
  • GET /pay-api/v1/transactions/ach/payment/credit
Example:004db5a8-a153-4334-a0b4-1aa22fbffb3e
curl -i -X POST \
  https://developer.flute.com/_mock/api-reference/pay-api/v1/transactions/ach/004db5a8-a153-4334-a0b4-1aa22fbffb3e/refund \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
transactionIdstring, (uuid)

Indicates the transaction identifier.

Example: bf5a1dc7-57b7-4fec-ab09-52c47c1acaff

Example:"bf5a1dc7-57b7-4fec-ab09-52c47c1acaff"
typeIdinteger, (int32)
Example:6
typestring or null

Example: CardAuthentication

Example:"CardAuthentication"
statusIdinteger, (int32)

Example: 1

Example:1
statusstring or null

Example: Authorized

Example:"Authorized"
responseDescriptionstring or null

Indicates a free-formed description regarding the transaction.

Example: Command Successful. Approved.

Example:"Command Successful. Approved."
responseCodestring or null

Indicates a response code regarding the transaction.

Example: 000

Example:"000"
processedAmountnumber, (double), decimal places <= 2

Indicates the transaction amount (in USD).

Example: 3500.00 (for $3500.00)

Example:3500
Response

Valid parameters. Approved

{ "processedAmount": 0, "transactionId": "b4453ccb-be79-4a7c-b50d-96c52c1bfadf", "typeId": 12, "type": "AchRefund", "statusId": 23, "status": "ChargedBack", "responseDescription": "Command Successful. Approved.", "responseCode": "000" }